Package org.mariadb.jdbc.plugin.tls

## Class TlsSocketPluginLoader

- java.lang.Object
- - org.mariadb.jdbc.plugin.tls.TlsSocketPluginLoader

    public final class TlsSocketPluginLoader
    extends Object

TLS plugin loader

### Constructor Summary

Constructors
`TlsSocketPluginLoader()`

### Method Summary

All Methods Static Methods Concrete Methods
`static TlsSocketPlugin` `get​(String type)` Get authentication plugin from type String.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TlsSocketPluginLoader

    public TlsSocketPluginLoader()

### Method Detail

#### get

    public static TlsSocketPlugin get​(String type)
                               throws SQLException

Get authentication plugin from type String. Customs authentication plugin can be added implementing AuthenticationPlugin and registering new type in resources services.

Parameters:
  `type` - authentication plugin type
Returns:
  Authentication plugin corresponding to type
Throws:
  `SQLException` - if no authentication plugin in classpath have indicated type